function [] = mc_cleantable(table, label) ;

FID = fopen('temp.tex', 'w') ;

fprintf(FID, '\\begin{tabular}{lccccccccc}\\hline\\hline \n') ;

fprintf(FID, '& \\multicolumn{9}{c}{Dependent Variable: $\\rho^{(k)}_{mt}$}\\\\ \\\\') ;

fprintf(FID, '& (1) & (2) & (3) & (4) & (5) & (6) & (7) & (8) & (9) \\\\ \\hline \n') ;

fprintf(FID, 'Uncorrected: \\\\ \\\\ \n');

    fprintf(FID, '\\quad Estimate & %8.4f & %8.4f & %8.4f & %8.4f & %8.4f & %8.4f & %8.4f & %8.4f & %8.4f \\\\ \n', ...
    table(1,:)) ;

    fprintf(FID, ' & (%8.4f) & (%8.4f) & (%8.4f) & (%8.4f) & (%8.4f) & (%8.4f) & (%8.4f) & %8.4f & %8.4f \\\\ \n', ...
    table(2,:)) ;

    fprintf(FID, '\\quad CI Length & %8.4f & %8.4f & %8.4f & %8.4f & %8.4f & %8.4f & %8.4f & %8.4f & %8.4f \\\\ \n', ...
    table(3,:)) ;

    fprintf(FID, ' & (%8.4f) & (%8.4f) & (%8.4f) & (%8.4f) & (%8.4f) & (%8.4f) & (%8.4f) & %8.4f & %8.4f \\\\ \n', ...
    table(4,:)) ;

    fprintf(FID, '\\quad Coverage Rate & %8.4f & %8.4f & %8.4f & %8.4f & %8.4f & %8.4f & %8.4f & %8.4f & %8.4f \\\\ \n', ...
    table(5,:)) ;

fprintf(FID,'\\\\ Corrected: \\\\ \\\\ \n') ;

    fprintf(FID, '\\quad Estimate & %8.4f & %8.4f & %8.4f & %8.4f & %8.4f & %8.4f & %8.4f & %8.4f & %8.4f \\\\ \n', ...
    table(6,:)) ;

    fprintf(FID, ' & (%8.4f) & (%8.4f) & (%8.4f) & (%8.4f) & (%8.4f) & (%8.4f) & (%8.4f) & %8.4f & %8.4f \\\\ \n', ...
    table(7,:)) ;

    fprintf(FID, '\\quad CI Length & %8.4f & %8.4f & %8.4f & %8.4f & %8.4f & %8.4f & %8.4f & %8.4f & %8.4f \\\\ \n', ...
    table(8,:)) ;

    fprintf(FID, ' & (%8.4f) & (%8.4f) & (%8.4f) & (%8.4f) & (%8.4f) & (%8.4f) & (%8.4f) & %8.4f & %8.4f \\\\ \n', ...
    table(9,:)) ;

    fprintf(FID, '\\quad Coverage Rate & %8.4f & %8.4f & %8.4f & %8.4f & %8.4f & %8.4f & %8.4f & %8.4f & %8.4f \\\\ \n', ...
    table(10,:)) ;

fprintf(FID,'\\\\ \\hline \\\\ \n') ;

    fprintf(FID, 'F Test p-Value & %8.4f & %8.4f & %8.4f & %8.4f & %8.4f & %8.4f & %8.4f & %8.4f & %8.4f \\\\ \n', ...
    table(11,:)) ;

    fprintf(FID, ' & (%8.4f) & (%8.4f) & (%8.4f) & (%8.4f) & (%8.4f) & (%8.4f) & (%8.4f) & %8.4f & %8.4f \\\\ \n', ...
    table(12,:)) ;


fprintf(FID, '\\hline\\hline \\end{tabular}') ;

fclose(FID) ;