function [table] =  montecarlo_table(lam_estab, lam_area, groups, prodstd, S) 




beta_uncorrected = [];
ci_uncorrected = [] ;
cov_uncorrected = [] ;
beta_corrected = [];
ci_corrected = [] ;
cov_corrected = [] ;
ftest_p = [] ;

for s = 1:S ;
	[b1,ci1,b2,ci2,cov1,cov2,p] = montecarlo_onerun(lam_estab,lam_area,groups,prodstd,s) ;
	beta_uncorrected =[beta_uncorrected;b1] ;
	ci_uncorrected = [ci_uncorrected;ci1] ;
	cov_uncorrected = [cov_uncorrected;cov1];
	beta_corrected =[beta_corrected;b2] ;
	ci_corrected = [ci_corrected;ci2] ;
	cov_corrected = [cov_corrected;cov2];
	ftest_p = [ftest_p;p] ;
end

% Compiling the table as a matrix. 

table = [ ...
	mean(beta_uncorrected); ...
	std(beta_uncorrected); ...
	mean(ci_uncorrected); ...
	std(ci_uncorrected); ...
	mean(cov_uncorrected); ...
	...
	mean(beta_corrected); ...
	std(beta_corrected); ...
	mean(ci_corrected); ...
	std(ci_corrected); ...
	mean(cov_corrected); ...
	...
	mean(ftest_p); ...
	std(ftest_p) ...	
	] ;

