function [beta, se, ssr] = ols(Y,X)
	warning('off','all')
	beta = inv(transpose(X)*X)*transpose(X)*Y ;
	resid = Y - X*beta ;
	se = sqrt(diag(((size(X,1)) - 1)^(-1)*transpose(resid)*resid*inv(transpose(X)*X))) ;
	ssr = transpose(resid)*resid;
end